# DiscountAlert
Alerts you which items have a discount when the round begins.

## Features
- If an item's price is lower than the base price, it will be highlighted in green.
- If an item's price is higher than the base price, it will be highlighted in red. (This /should/ be compatible with mods that raise item prices)
- Currently, the mod only shows price changes for shop items, and not ship upgrades or ship decorations. (This will be added in a future update)

## Customization
You can customize the mod by editing the `discount.alert.cfg` file in BepInEx/config/.
### [Alert]
- `DelayAfterLeverIsPulled` - Number of seconds to wait after the "Land ship" or "Start Game" lever is pulled before showing the alert. (Default: `4`)
- `ColorsEnabled` - Enable or disable text colors. (Default: `true`)
- `TitleText` - Alert title text. (Default: `Today\'s discounts`)
- `NoDiscountText` - Alert text when there are no discounts. (Default: `None :( \n Check back tomorrow!`)

### [Colors]
- `PriceUpColor` - Text color when the price goes up (currently only possible with other mods). (Default: `#990000`)
- `PriceUpColor` - Text color when the price goes down. (Default: `#008000`)
- `NoDiscountColor` -  Text color when there are no discounts. (Default: `<empty>`)
- `TitleColor` - Text color for the alert's title (Default: `<empty>`)

## Changes
- 1.0.0 - Initial release (2023-12-24)
- 1.1.0 - Alerts are now color coded to add compatibility with other mods (2023-12-25)
- 1.1.1 - Updated README.md (2023-12-25)
- 2.0.0 - The mod is now fully client-sided! (2023-12-25)
- 2.1.0 (2023-12-27)
	- Added a delay to prevent the alert from showing up the moment the "Land ship" lever is pulled
	- Added customization options! Check the "Customization" section for more info
	- Fixed a bug where the alert would be shown twice
- 2.2.0 (2023-12-28)
	- Customizations are now saved in BepInEx/config/discount.alert.cfg to make it easier to share your settings with others, they also wont be overwritten when the mod is updated
	- Added more customization options